sc::OneBodyInt(3)

NAME
sc::OneBodyInt - OneBodyInt is an abstract base class for objects that compute integrals between two basis functions.

SYNOPSIS

#include <obint.h>

Inherits sc::RefCount.

Inherited by sc::DipoleIntV3, sc::EfieldDotVectorIntV3, sc::OneBodyIntV3, and sc::PointChargeIntV3.

  Public Methods
virtual ~OneBodyInt ()
int nbasis () const
Returns the number of basis functions on center one.
int nshell () const
Return the number of shells on center one.
Ref< GaussianBasisSet > basis ()
Return the basis set on center one.
const double * buffer () const
Returns the buffer where the integrals are placed.
virtual void compute_shell (int, int)=0
Computes the integrals between basis functions in the given shell pair.
virtual void reinitialize ()
This is called for one body integrals that take data to let them know that the data they reference has changed.
Integral * integral () const

int nbasis1 () const
int nbasis2 () const

int nshell1 () const
int nshell2 () const

Ref< GaussianBasisSet > basis1 ()
Ref< GaussianBasisSet > basis2 ()

  Protected Methods
OneBodyInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0)

  Protected Attributes
Integral * integral_
Ref< GaussianBasisSet > bs1_
Ref< GaussianBasisSet > bs2_
double * buffer_

DETAILED DESCRIPTION

OneBodyInt is an abstract base class for objects that compute integrals between two basis functions.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.